Guida 7: installare Flash Player in Ubuntu Linux

Utilizzato ormai in buona parte di pagine web e siti, il plugin Flash Player è diventato oramai un’espansione indispensabile per ogni browser attuale; la presente guida, permette di installare, in pochi passi, l’ultima versione stabile del plugin per i browser Firefox, Opera e Chromium (Google Chrome).

Architetture supportate: 32 bit – 64 bit (Ubuntu 10.04 Lucid Lynx).
Versione supportata: Flash Player 10.0 r45 (changelog).

Vediamo ora come installare l’ultima versione di Flash Player in Ubuntu Linux.

(1) Installazione:

chiudere eventuali browser aperti; aprire il Terminale dal menù Applicazioni > Accessori e digitare in unica riga:

sudo apt-get install flashplugin-installer

per verificare l’avvenuta installazione del plugin, aprire il browser in uso e nella barra degli indirizzi, (al posto di “http://www…”), digitare about:plugins (tutto unito), apparirà la lista di tutti i plugin installati: verificare la presenza della voce Shockwave Flash.

(!) Avvisi:

non commentare se:

- non si ha l’accelerazione 3D abilitata;
– non si sta utilizzando Ubuntu Linux aggiornato all’ultima versione.

About these ads

83 thoughts on “Guida 7: installare Flash Player in Ubuntu Linux

  1. Adesso dovrebbe già essere nella lista pacchetti come .deb precompilato se non sbaglio.
    Ieri ho visto che negli aggiornamenti automatici me lo dava.

  2. Pingback: Aggiornamento: Guida 7 (installare Flash Player in Ubuntu Linux) « Ubuntu Bible

  3. beh mi dispiace ma nn ho ancora trovato niente per noi amd 64…

    ebbene si la “Macrimedia” ci odia

  4. scusate la niubbaggine, ma per chi usa opera come devo fare per installarlo?
    premetto che firefox mi visualizza già le pagine in flash, ma opera no. aiutatemi

  5. mi scusi ancora siagnor Miglietta, con i suoi consigli ora opera visualizza flash.
    ma quindi per installare il flash player con opera è bastato soltanto copiare un files in una cartella? sono sbalordito (mentre invece cpn firefox avrei dovuto far tutta l’ installazione?

  6. @ brown:

    …no no niente “scusi signor Miglietta”…va bene anche “scusa Francesco”… :D

    …in realtà la procedura di installazione del Flash Player non fa altro che individuare la cartella Firefox e copiarci dentro il suddetto file…fa la stessa cosa che ha fatto lei con Opera però in una cartella diversa…

    …quello è il metodo manuale…ho scelto di mettere nella guida quello automatico perchè alcuni utenti trovano difficoltà a giostrarsi fra cartelle nascoste e in generale la struttura delle directory in Linux (a causa del troppo uso di sistemi Microsoft)…

    …io personalmente uso tutt’ora il metodo manuale…

    …cmq lieto che ti funzioni Mr Brown…

    Francesco

  7. Scusate ma io ho fatto come scritto sopra. Poi quando devo mettere dove installare flash metto /usr/lib/opera/ e mi da “opera is not supported”.

  8. @ lhurg0yf:

    …io non ho scritto questo…se hai firefox usa l’installer come scritto nella guida…se hai opera non puoi utilizzare l’installer ma devi copiare manualmente il file *.so come scritto nella procedura descritta nei commenti della Guida 12 su opera…

    Francesco

  9. ciao, sono alle primissime armi con linux dopo anni di windows, e per fare qualsiasi cosa (a partire da come si installano le applicazioni) sono più imbranato di mia nonna. Ho un amd athlon 64, specifico perchè mi pare di capire che è un pò fastidioso come processore, comunque venendo al succo il terminale, dopo il comando cd *nome cartella*, si rifiuta di entrare nella directory, rispondendomi così

    saya@saya-desktop:~$ cd desktop
    bash: cd: desktop: No such file or directory
    saya@saya-desktop:~$ cd install_flash_player_9_linux
    bash: cd: install_flash_player_9_linux: No such file or directory

    ormai la schermata del terminale è sinonimo di nemico, cos’altro posso fare, anche con google earth ho lo stesso problema..

  10. @ saya:

    come da “Introduzione”:

    “…vediamo ora come installare l’ultima versione in Ubuntu Linux, (per sistemi a 32 bit)…”

    come da “(1) Installazione”:

    “cd Desktop”

    non “cd desktop”…

    Francesco

  11. Ciao gente da poco sto usando ubuntu,e lo trovo stupendo, ma non riesco ad installare i plug in flash player perchè mi dice che la mia architettura a x86 non è supportata da adobe flashplayer.
    Come posso fare?

    ciao e alla prossima!!!

  12. Pingback: Guida 12: installare Opera 9.50 alfa 4 in Ubuntu Linux « Ubuntu Bible

  13. Pingback: Guida 12: installare Opera 9.23 in Ubuntu Linux « Ubuntu Bible

  14. Pingback: Aggiornamento Guida 7: installare Flash Player 9 in Ubuntu Linux « Ubuntu Bible

  15. Tra le FAQ:

    “Quale versione di Shocwave Player mi permette di accedere al volo in 3D di PagineGialle Visual?
    La versione minima per poter visualizzare i contenuti 3D di PagineGialle Visual è la 10.1″

    Forse è per questo motivo….

  16. :(
    Essendo uno dei tanti ultimi arrivati ho un problema forse idiota:
    se vado sul Terminale a scrivere cd Desktop ottengo:

    bash: cd: Desktop: No such file or directory

    …e sono già fermo.
    Che fare?
    Grazie.

  17. @ Roberto:

    con Gutsy purtroppo si è scelto di creare una cartella Scrivania che corrisponde al vecchio Desktop…ciò ovviamente crea confusione oltre ad essere una pessima idea di progettazione (ogni guida dovrà essere aggiornata come innumerevoli script file di installazione)…cmq se il file l’hai salvato in Scrivania digita “cd Scrivania” al posto di “cd Desktop”…

    ciao

    Francesco

  18. ho da un solo giorno installato ubuntu e non sono ancora molto pratica, so che di certo è semplicissimo, ma quando provo ad installare flash palyer come dice la guida sopra l’installazione non avviene e mi appare questo messaggio:”NOTE: Please ask your administrator to remove the xpti.dat from the
    components directory of the Mozilla or Netscape browser.”, so cosa significa ma non so come fare ad rimuovere la voce suddetta, qualcuno può aiutarmi? Grazie^^

  19. Ciao la guida per flash funziona perfettamente, ma ho un problema con lo scroll. Mentre sto “scrollando” un sito web se il puntatore del mouse capita su un’animazione flash lo scrolling si blocca. C’è qualche fix per questa cosa?
    Grazie

  20. @ webrunner:

    …no tranquillo succede a tutti…fix che io sappia non credo ne esistano…prima o poi si spera lo mettano a posto così come il problema delle trasparenze nei flash-box…

    Francesco

  21. Ho effettuato correttamente la procedura senza problemi e anche quando controllo se il plugin è installato tutto fila liscio… Nonostante questo non funziona: ora essendo un nubbo forte non è che basta abilitare qualcosa? Anche se clicco nelle aree dove dovrebbe partire l’animazione in flash non accade nulla…

  22. problema risolto… Per la cronaca basta passare alla beta 9.50 in attesa della versione definitiva…

  23. a me capita questo…..

    bash: cd: install_flash*:Nessun file o Directory

    che posso fare????

    grazie…

  24. nn so cme istallare flash player nn si apre qualcuno sa cme fare fare rintracciatemi se sapte aiutarmi grazie milleee

  25. Pingback: News: aggiornata Guida 7 (installare Flash Player in Ubuntu Linux) « Ubuntu Bible

  26. Sono arrivato all’ultima parte dell’installazione e nonstante io metta come directory: /usr/lib/firefox mi dice questo:
    WARNING: Please enter a valid installation path.

    Sto cominciando a voler tornare a Windows, Linux è troppo stressante…
    Ecco quel che mi è successo:
    Aggiorno all’ultima versione Ubuntu, ogni tanto non si sa perchè mi crasha all’improvviso (si blocca il mouse e tutto quanto, e devo riavviare per forza il computer con il bottone), ma per questo non fa niente. Poi inizio ad usare Firefox, e quando uso Youtube mi crasha…E fino a qui ancora non fa niente…Poi un giorno si sveglia e decide che i video flash dopo 5 secondi si devono bloccare, ma cerco di resistere e non tornare a windows…Disinstallo firefox, lo reinstallo però non riesco più a reinstallare flash…In più adesso appena premo clicco sul pulsante per spegnere mi scompaiono i pannelli e non si apre la finestra con le opzioni di spegnimento, dopo un po’ compare anche una schermata nera, e sono obbligato un’altra volta a dover premere il bottone per spegnere.

    Porca ************* ** ** * *********** **********************************$&/)(%&&%$&%$(/&/(//)(&%%/&&(/ Vaff****** *** ** ****** *****************

  27. Per gli utenti che hanno aggiornato Firefox alla versione 3.0.1

    Stavo impazzendo, quando ho capito finalmente che il programma di installazione dice di selezionare la cartella dove è installato il browser; scartabellando nelle directory mi sono accorto che se, come me, avete aggiornato all’ultima versione la directory giusta non è più /usr/lib/firefox ma /usr/lib/firefox-3.0.1

    Inserite questa e l’installazione andrà a buon fine.

  28. ciao, io ho un problema : digito in successione:

    cd Scrivania
    cd install_flash*
    sudo ./flashplayer-installer

    e fin qui tutto bene poi quando mi chiede il percorso metto /usr/lib/firefox

    ma mi dice:

    WARNING: Please enter a valid installation path.

    Please enter the installation path of the Mozilla, Netscape,
    or Opera browser (i.e., /usr/lib/mozilla)

    AIUTO

  29. premetto che ho ubuntu da 10 minuti e che uso firefox
    complimenti per la mini guida non è niente male davvero mi ha aiutato a poter visualizzare i video di youtube, devo dire che ho dovuto modificare solo il percorso del browser in quanto utilizzando: /usr/lib/firefox l’installazione non andava avanti, penso che firefox stia lasciando release con percorso predefinito di installazione /usr/lib/firefox-3.0.1 o almeno, ho riscontrato che la mia versione di firefox ha questa cartella come default di installazione. Ci ho messo comunque 5 minuti ad accorgermi del problema :) ciao a tutti!

  30. ah mi sono accorto che DavideV aveva appena reso pubblico il problema con la 3.0.1 di firefox, 2 è sempre meglio di 1!

  31. ciao, scusate il disturbo..ho eseguito le procedure per l’istallazione di flashplayer..tutto ok, sono stata su about:plugins ed era presente, ma sotto vi era una voce segnata con no, che è questa.
    Nome file: libnullplugin.so
    The default plugin handles plugin data for mimetypes and extensions that are not specified and facilitates downloading of new plugins.

    cosa vuole dire? ho sbagliato qualcosa? ciao e grazie!

  32. Ciao a tutti, anche io ho riscontrato il problema di installazione di flashplayer 9 su Ubuntu 8.04.1 ma alla fine ho risolto il problema. Ho pensato di scrivere qui il trucco del cappello che ho scoperto. Spero possa essere utile. Premetto di usare Ubuntu da 1 settimana e quindi perdonatemi eventuali “imperfezioni stilistiche” :D

    Ho seguito alla lettera tutte le istruzioni che ci sono scritte su questa pagina, firefox riconosceva flash come nuovo plugin ma nonstante tutto non visualizzavo i filmati e le applicazioni flash nelle pagine. Il trucco è disinstallare Gnah da Synaptic! Funziona tutto perfettamente dopo.

    Ciao a tutti e grazie per le istruzioni!

  33. ho avuro lo stesso problema. Per chi non sapesse come scoprire il nome della directory in cui è salvato firefox, ci sono riuscito dopo mezz’ora, ricordando un corso di linux di cui avevo reminescenze massimizzando la finestra del terminale poi digitando i comandi nell’ordine
    cd /usr/lib
    ls
    (è una L minuscola, non una i maiusola!) in questa lista cercare la directory con scritto firefox 3.0ba come ce l’avevo io o qualcosa di simile, in tal caso bisogna scrivere, durante l’installazione, il percorso /usr/lib/quellocheavetetrovato anziché /usr/lib/firefox

  34. Non riesco a capire questa cosa. Se tento di installare Flash Player 10 come da istruzioni lui mi dice che è già installato correttamente. Però, tutti i siti in cui serve mi dicono di installarlo. Insomma, una parte del mio pc sa che Flash Player c’è ed è all’ultima versione, mozilla ne è all’oscuro. Che fare?

  35. quando faccio doppiop click sul file di installazione .deb mi da questo errore:
    error:wrong architecture ‘i386′
    Adobe Flash Player plugin version 10
    This package will download the Flash Player from Adobe. It is a Netscape/Mozilla type plugin. Any browser based on Netscape or Mozilla can use the Flash plugin. This package officially supports the following browsers:
    Firefox 2.x, Firefox 3.x, SeaMonkey 1.11

  36. Secondo me ti capita perchè hai un pc con processore AMD a 64 bit dual core. Giusto? Il package che tenti di scaricare non è per i AMD64. Io l’ho risolto installando flashplugin-nonfree. Tale package in Kubuntu richiede l’installazione tra le su dipendenze di nspluginwrapper, ia32-libs. Il wrapper “circonda” il codice i386 e gli permette di essere usato anche in AMD64. Tra parentesi Adobe ha lasciato una alpha del player 10 in architettura AMD. Vedi labs.adobe.com/downloads/flashplayer10.html. Se scegli quella strada non serve flashplugin-nonfree. ciao Alessandro

  37. Io ho seguito passo passo le istruzioni…la cartella shockwave è installata….ma nn va lo stesso…l’unico nn attivo è il secondo con il nome di default plugin(all types)…cosa devo fare?

  38. Ciao a tutti mi presento sono Salvatore Aka TetSuiA e sono un neofita di Ubuntu 8.10. Vorrei fare i complimenti a Francesco per questo ottimo sito ho trovato parecchie risposte ad alcune mie domande ma ancora, per cosi dire ho dei notevoli problemi con alcune applicazioni quali giochi flash e video. Ho istallato Flash player seguendo la guida ma continuo ad avere problemi di rallentamenti osceni per quanto riguarda alcuni video ( sopratutto su gametrailers ) e su alcuni giochi flash su facebook. Rallentamenti che prima di passare a Ubuntu non avevo. Vi posto anche la configurazione del mio pc magari è questo il problema. 2 Gb di ram 3000 Ghz CPU e una scheda video ATI 512 Mb . Da premettere mi trovo divinamente con questo SO è veramente fatto bene perfetto in tutti i suoi punti, lunica pecca sta prorpio qui potete aiutarmi? Vi ringrazio in anticipo delle risposte e vi porgo i miei saluti.

  39. @ tetsuia:

    ..qualche informazione aggiuntiva sul modello della scheda video??..se i siti si visualizzano correttamente vuol dire che flash è installato..il fatto che in alcuni siti vada lento, soprattutto in modalità a schermo intero, è sicuramente causato dall’accoppiata scheda Ati/driver Ati sotto linux..

    Francesco

  40. Ciao francesco allora c’è la possibilità di vedere tutto ll tuo sistema come su widows tipo pannello di controllo ? la scheda non me la ricordo dovrebbe essere una ati x1300 ma non vorrei sbagliarmi.

  41. scusatemi il doppio post ma c’è forse la possibilità che questi problemi vengano risolti usando Opera? leggendo una delle tue guide mi sembra che ne parliate molto bene e che sia veloce e leggera. Inoltre andando in giro sulla rete ho letto che il problema dei rallentamenti possa essere causato da Firefox . Se volete fare una prova e se vi va ( per chi non è gia iscritto ) vada su facebook e provate a giocare a minigolf o cosi per passarvi il tempo a Word challenge o Geo Challenge. Vedete se potete usarlo a qualità ottimali senza rallentamenti o dovete per forza ridurre la qualità e con tutto cio avete rallentementi. Grazie in anticipo e spero che comunuqe si possa risolvere anche in favore di tutta la comunità Ubuntu.

  42. ho installato tutto e mi dice tutto ok, però provate ad andare a quest’indirizzo e provate ad entrare nella videochat, riuscite ad entrare voi? *** io no e mi hanno detto che dipende da flash player ma non è che non entra solo in quella videochat non entra in diverse provate e fatemi sapere, ciao grazie

  43. ciao ho provato ad installare flash player ma mi dice errore architettura i386,ho l’ultima versione di ubuntu,cosa mi consigliate grazie.

  44. il mio problema è che oggi volta che apro alcuni siti mi dice che non ho installato l’ultima versione di flash (10 credo) ma quando la scarico e provo a installarla mi dice che ho già installata una versione più aggiornata. ma i problemi sono sempre gli stessi…che devo fare e come soprattutto??? grazieee

  45. Shockwave Flash

    Nome file: libgnashplugin.so
    Shockwave Flash 8.0 r99. Gnash 0.8.2, the GNU Flash Player. Copyright © 2006, 2007, 2008 Free Software Foundation, Inc.
    Gnash comes with NO WARRANTY, to the extent permitted by law. You may redistribute copies of Gnash under the terms of the GNU General Public License. For more information about Gnash, see http://www.gnu.org/software/gnash. Compatible Shockwave Flash 8.0 r99.
    Sistema Ubuntu 8.04 firefox mozille 3.0.14

    Ho fatto le manovre descritte ma mi viene sempre :
    error:è già installata una versione più recente .
    qui di seguito i dati relativi a about:plugins

    Tipo MIME Descrizione Estensione Attivo
    application/x-shockwave-flash Shockwave Flash swf Sì
    Shockwave Flash

    Nome file: libflashplayer.so
    Shockwave Flash 10.0 r12

    Tipo MIME Descrizione Estensione Attivo
    application/x-shockwave-flash Shockwave Flash swf Sì
    application/futuresplash FutureSplash Player spl Sì

    Mi potete aiutare ????
    grazie

  46. Pingback: Guida 15: installare Google Chrome in Ubuntu Linux « Ubuntu Bible

  47. salve a tutti, io sono nuovo da queste parti ed ho un problema.
    quando apro you tube riesco a visualizzare correttamente il video ma non mi è possibile metterlo in pausa, abbassare o alzare il volume, ingrandire lo schermo e tutte le funzioni della barra di you tube.
    cosa devo fare?
    GRAZIE

  48. en fuego :
    salve a tutti, io sono nuovo da queste parti ed ho un problema.
    quando apro you tube riesco a visualizzare correttamente il video ma non mi è possibile metterlo in pausa, abbassare o alzare il volume, ingrandire lo schermo e tutte le funzioni della barra di you tube.
    cosa devo fare?
    GRAZIE

    Anch’io ho lo stesso identico problema di “en fuego”. Non riesco a controllare la barra di youtube e nessuna delle sue funzioni. Qualche soluzione? grazie?

  49. a me quando scrivo apt-get install flashplugin-installer mi esce scritto:

    Impossibile trovare flashplugin-installer

    Cosa devo fare??

  50. Salve, come posso risolvere il seguente errore
    Lettura elenco dei pacchetti… Fatto
    Generazione albero delle dipendenze
    Lettura informazioni sullo stato… Fatto
    Pacchetti suggeriti:
    xulrunner-1.9 konqueror-nsplugins msttcorefonts ttf-xfree86-nonfree xfs
    I seguenti pacchetti NUOVI saranno installati:
    flashplugin-installer
    0 aggiornati, 1 installati, 0 da rimuovere e 0 non aggiornati.
    È necessario scaricare 0B/19,9kB di archivi.
    Dopo quest’operazione, verranno occupati 188kB di spazio su disco.
    Preconfigurazione dei pacchetti in corso
    dpkg: informazioni su …/flashplugin-installer_10.1.82.76ubuntu0.10.04.2_amd64.deb che contiene flashplugin-installer:
    adobe-flashplugin è in conflitto con flashplugin-installer
    flashplugin-installer (versione 10.1.82.76ubuntu0.10.04.2) sta per essere installato.
    dpkg: errore nell’elaborare /var/cache/apt/archives/flashplugin-installer_10.1.82.76ubuntu0.10.04.2_amd64.deb (–unpack):
    pacchetti in conflitto – flashplugin-installer non verrà installato
    Si sono verificati degli errori nell’elaborazione:
    /var/cache/apt/archives/flashplugin-installer_10.1.82.76ubuntu0.10.04.2_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  51. ciao, scusate la mia ignoranza ma ho installato ubuntu 64bit da 2gg e sono una foca..
    arrivo da windows..
    ho intallato flash e java, come da indicazioni vostre…
    .. ma non mi permette di vedere giochini su facebook..
    ho letto qui sopra
    come diavolo si fa???
    ed è quello il problema..??
    qualcuno mi può dare indicazioni semplici x un’imbranata!?
    grazie e buona giornata a tutti!

  52. ciao…uso ubuntu da poco,
    ho seguito la procedura x installare flash,
    ma appena schiaccio l’invio mi chiede la
    password…
    che vuole??? io non ho una password!!!
    aiutatemi!!! grazie!!!

  53. ciao, sono nuova a linux, ho seguito la guida e verificato che ci fosse il plugin, sembra tutto a posto ma non riesco ancora a vedere i video. In particolare mi interesserebbero questi… http://www.jazzradio.com/
    Non sono pratica di computer, sarei felice se sapeste spiegarmi in modo molto semplice come fare…grazie a tutti

  54. ciao sono nuovo a linux,
    ho installato il flash player per visualizzare filmati da internet.
    il video funziona bene ma è senza l’audio. nella guida wiki di ubunto mi dicono di installare il pacchetto alsa-oss e quindi, con editor di testo, aprire il file firefoxrc; sbaglio sicuramente qualcosa perchè non riesco a trovare ques’ultimo.
    cosa devo fare?

  55. quando vado nel terminale scrivo la stringa faccio invio e mi dice di inserire la mia password ma la tastiera non scrive

  56. ciao a tutti
    qualcuno saprebbe dirmi come installare i plugin su backtrack5……nn riesco in nessun modo,ho provato con molte guide persino con questa ….ma niente
    attendo qualche buonanima che mi possa dare una soluzione efficace….
    grazie per la collaborazione.
    ciao.

  57. grazie mille !!!!
    finalmente ci sono riuscito tante grazie ancora!!!
    pero pero …..
    avrei un ‘altro problemino…..
    poco tempo fa ho installato l vlc sul pc ( con backtrack),ma nn mi si sente l ‘audio……ho provato gia ad disinstallarlo ed installarlo nuovamente ma il problema ce sempre……nn so come fare
    attendo risposta da qualcuno e ringrazio nuovamente per la collaborazione
    ciao

  58. sembrava che c’ero riuscito
    ma dop ouna serie di aggiornamente installati mi continua a chiedere i plugins come devo fare??
    qualcuno mi saprebbe spiegare……….

Rispondi

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...